View Issue Details

IDProjectCategoryView StatusLast Update
13870Bug reports[All Projects] Survey designpublic2018-08-07 17:01
Reporters2940523Assigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.13.x 
Summary13870: Apple devices do not support ranking question
Description

If the page content is larger than the viewport (page can be scrolled vertically), when trying to drag the ranking items vertically, the page scrolls instead of the item moving. Overall, cannot easily re-order items after dragging them into 'ranked responses box'.
Seems not to work with touch devices, tried on Apple (iPhone).

TagsNo tags attached.
Complete LimeSurvey version number (& build)Latest version: LimeSurvey version 3.13.2
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/a
Server OS (if known)Mac Os
Webserver software & version (if known)N/a
PHP VersionN/a

Activities

s2940523

s2940523

2018-07-12 14:11

reporter  

limesurvey_question_237.lsq (4,115 bytes)
tpartner

tpartner

2018-07-12 14:36

developer   ~48498

I can reproduce on an Android device.

We need to disable the native scroll function when dragging starts. (or get the plugin fixed)

markusfluer

markusfluer

2018-07-24 18:08

administrator   ~48566

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27688

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48686

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 244ff9ae

2018-07-24 18:08:01

markusfluer

Details Diff
Fixed issue 13870: Apple devices do not support ranking question Affected Issues
13870
mod - assets/packages/questions/ranking/css/ranking.css Diff File
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File

Issue History

Date Modified Username Field Change
2018-07-12 14:11 s2940523 New Issue
2018-07-12 14:11 s2940523 File Added: limesurvey_question_237.lsq
2018-07-12 14:36 tpartner Note Added: 48498
2018-07-24 15:25 jelo Assigned To => markusfluer
2018-07-24 15:25 jelo Status new => assigned
2018-07-24 18:08 markusfluer Changeset attached => LimeSurvey master 244ff9ae
2018-07-24 18:08 markusfluer Note Added: 48566
2018-07-24 18:08 markusfluer Resolution open => fixed
2018-08-06 16:51 markusfluer Status assigned => resolved
2018-08-06 16:51 markusfluer Fixed in Version => 3.13.x
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48686